Sign in Start for free

Retention

Get the default retention configuration

GET /api/configuration/retention-default

Response

200 — The default retention configuration

  • Id string
    Gets or sets a unique identifier for this resource.
  • LastModifiedBy string
    Gets or sets the username of the user who last modified this resource.
  • LastModifiedOn string
    Gets or sets the date/time that this resource was last modified. Format date-time.
  • Links object
    Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.
  • RetentionDays integer

Example Response

JSON
{
  "Id": "string",
  "LastModifiedBy": "string",
  "LastModifiedOn": "2020-01-01T00:00:00.000Z",
  "Links": {
    "additionalProp1": "string",
    "additionalProp2": "string",
    "additionalProp3": "string"
  },
  "RetentionDays": 0
}

Update the default retention configuration

PUT /api/configuration/retention-default

Request Body

  • RetentionDays integer

Response

200 — Success

Example Request

JSON
{
  "RetentionDays": 0
}

Get the configured default retention policies for the given retention type

GET /api/{spaceId}/retentionpolicies

Also reachable at /api/retentionpolicies, /api/spaces/{spaceIdentifier}/retentionpolicies.

Path Parameters

  • spaceId string (required)

Query Parameters

  • retentionType string (required)

Response

200 — Returns the configured default retention policy values

  • Id string
  • Name string
  • RetentionType string
  • SpaceId string

Example Response

JSON
{
  "Id": "string",
  "Name": "string",
  "RetentionType": "LifecycleRelease",
  "SpaceId": "Spaces-1"
}

Modify a default retention policy

PUT /api/{spaceId}/retentionpolicies/{id}

Also reachable at /api/retentionpolicies/{id}, /api/spaces/{spaceIdentifier}/retentionpolicies/{id}.

Path Parameters

  • id string (required)
    The id of the default retention policy.
  • spaceId string (required)
    The id of the space that contains the default retention policy.

Request Body

  • Id string (required)
    The id of the default retention policy.
  • RetentionType string (required)
    The type of the default retention policy. [“MachinePackageCache”, “LifecycleRetention”, “TentacleRetention”, “RunbookRetention”].
  • SpaceId string (required)
    The id of the space that contains the default retention policy.

Response

200 — The response returned from the request to modify a default retention policy.

  • Id string
  • Name string
  • RetentionType string
  • SpaceId string

Example Request

JSON
{
  "Id": "RetentionPolicies-1",
  "RetentionType": "LifecycleRelease",
  "SpaceId": "Spaces-1"
}

Example Response

JSON
{
  "Id": "string",
  "Name": "string",
  "RetentionType": "LifecycleRelease",
  "SpaceId": "Spaces-1"
}